2026.03.b

🥥

Highlights

The 2026.03.b release adds support for managing SQL Server sessions.

  • The List Sessions by Server and List Session by Database return information about the SQL Server sessions running on the specified SQL Server instance or database running on a SQL Server instance.
  • The Delete Session supports deleting the specified SQL Server session.

Learn More

Sessions

Clients with the Data Bridge Admin role can now view a list of active server sessions on their Data Bridge cluster. Session operations support filtering server sessions by managed server instance or database. Data Bridge Admins can also delete active sessions on the hosted databases.

List Sessions by Server Instance

The List Sessions by Server Instance operation (GET /databridge/v1/sql-instances/{instanceName}/sessions) returns a list of server sessions on the specified server instance.

{
  "sessionId": 54,
  "databaseName": "master",
  "loginName": "sa",
  "programName": "Core Microsoft SqlClient Data Provider",
  "hostName": "eih-api-5555f4f65c-7qsfv",
  "status": "running",
  "loginTime": "2026-01-27T21:17:59.693",
  "lastRequestStartTime": "2026-01-27T21:17:59.69",
  "lastRequestEndTime": "2026-01-27T21:17:59.69",
  "cpuTime": 0,
  "memoryUsage": 0,
  "executingSql": "SELECT * from sys.databases",
  "blockingSessionId": 0
}
PropertyTypeDescription
sessionIdNumberID of session.
databaseNameStringName of database associated with the session.
loginNameStringLogin of principal running the session.
programNameStringName of program running the session.
hostNameStringName of host machine running the session.
statusStringStatus of session, e.g. running, pending, suspended, etc.
loginTimeString
lastRequestStartTimeString
lastRequestEndTimeString
cpuTimeNumberCPU used
memoryUsageNumberMemory sed.
executingSqlStringIf applicable.
blockingSessionIdNumberIf true, session is blocked.

List Sessions by Database

The List Sessions by Database operation (GET /databridge/v1/sql-instances/{instanceName}/databases/[databaseName]/sessions) returns a list of server sessions running on a specific database.

This operation takes two path parameters: instanceName and databaseName. The instaneName identifies the ID of a managed server instance. The databaseName identifies the ID of a database on the server instance.

{
  "sessionId": 54,
  "databaseName": "master",
  "loginName": "sa",
  "programName": "Core Microsoft SqlClient Data Provider",
  "hostName": "eih-api-5555f4f65c-7qsfv",
  "status": "running",
  "loginTime": "2026-01-27T21:17:59.693",
  "lastRequestStartTime": "2026-01-27T21:17:59.69",
  "lastRequestEndTime": "2026-01-27T21:17:59.69",
  "cpuTime": 0,
  "memoryUsage": 0,
  "executingSql": "SELECT * from sys.databases",
  "blockingSessionId": 0
}

Delete Sessions

The Delete Session operation (DELETE /databridge/v1/sql-instances/{instanceName}/sessions/{spid}) deletes the specified server session.

This operation takes two path parameters: instanceName and spid.

If successful, returns 204 Accepted